---
schema_version: "1"
id: d563bc0db365d4a49373d0a5fc868ba09fbae412619e1359883695a626f5f554
title: Get Embedded Service Configuration
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-embeddedserviceconfigdescribe-get.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-embeddedserviceconfigdescribe-get.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: c6fae9ff8071c9ae3312d7053bb9901db4f9d7a358bd75af1bceb0aa7d4bcfe9
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get Embedded Service Configuration

Get the values for your Embedded Service deployment configuration, including the branding colors, font, and site URL. This resource is available in REST API version 45.0 and later.

You must be logged in to the account that owns the EmbeddedServiceConfigDeveloperName you are querying.

## Syntax

**URI:** `/services/data/vXX.X/support/embeddedservice/configuration/embeddedServiceConfigDeveloperName`

**Formats:** JSON

**HTTP method:** GET

**Authentication:** `Authorization: Bearer token`

**Request parameters:** None

## Example

**Example Request**

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/support/embeddedservice/configuration/TestOne -H "Authorization: Bearer token"
```

**Example Response Body**

```nolang
{
  "embeddedServiceConfig" : {
    "areGuestUsersAllowed" : false,
    "authMethod" : "CustomLogin",
    "embeddedServiceBranding" : {
      "contrastInvertedColor" : "#ffffff",
      "contrastPrimaryColor" : "#333333",
      "font" : "Salesforce Sans",
      "height" : 498,
      "navBarColor" : "#222222",
      "primaryColor" : "#222222",
      "secondaryColor" : "#005290",
      "width" : 320
    },
    "embeddedServiceLiveAgent" : {
      "avatarImg" : "",
      "embeddedServiceQuickActions" : [ {
        "order" : 1,
        "quickActionDefinition" : "Snapins_Case_OfflineCaseQuickAction_08hRM00000000cC",
        "quickActionType" : "OfflineCase"
      }, {
        "order" : 1,
        "quickActionDefinition" : "Snapins_Contact_PrechatQuickAction_08hRM00000000RC",
        "quickActionType" : "Prechat"
      }, {
        "order" : 2,
        "quickActionDefinition" : "Snapins_Case_PrechatQuickAction_08hRM00000000RC",
        "quickActionType" : "Prechat"
      } ],
      "enabled" : true,
      "fontSize" : "Medium",
      "headerBackgroundImg" : "https://google.com/img/headerBgImgUrl.png",
      "isOfflineCaseEnabled" : true,
      "isQueuePositionEnabled" : true,
      "liveChatButton" : "573RM0000004GGf",
      "liveChatDeployment" : "572RM0000004CDV",
      "offlineCaseBackgroundImg" : "https://google.com/img/offlineBgImgUrl.png",
      "prechatBackgroundImg" : "https://google.com/img/prechatBgImgUrl.png",
      "prechatEnabled" : true,
      "scenario" : "Service",
      "smallCompanyLogoImg" : "https://google.com/img/logoImgUrl.png",
      "waitingStateBackgroundImg" : "https://google.com/img/bgImgUrl.png"
      
    },
    "shouldHideAuthDialog" : false,
    "siteUrl" : "https://snapins-15f082fb956-15fbc261d27.stmfa.stm.force.com/napili2"
  }
}
```

